import os
os.environ['LANG']='en_US.UTF-8'
import unittest
from bzv.customerConfig import CustomerConfig
from bzv.infra import Infra

infra = None

class CustomerConfigTest(unittest.TestCase):

    def testInfra(self):
        loggingConfigfile = '/data/logging.conf'
        global infra

        infra = Infra('Running customerConfigTest',
              loggingConfigfile=loggingConfigfile)
        self.failUnless(infra.status == True )

    def testReadExistingOption(self):
        configfile = 'data/customerConfig.cfg'

        config = CustomerConfig(configfile,infra)

        foo = config.get(option = 'foo', section='testSection')
        self.failUnless(foo == 'bar' )

if __name__ == '__main__':
    unittest.main()
